
function fore=bekkfore(data)
k=2;
[parameters, Ht]=full_bekk_mvgarch(data,1,1, []);
k2=k*(k+1)/2;
C=parameters(1:(k2));
A=parameters(k2+1:k2+k*k);
B=parameters(k2+k*k+1:k2+k*k+k*k);
    tempA=reshape(A(1:(k*k)),k,k);

    tempB=reshape(B(1:(k*k)),k,k);
A=tempA;
B=tempB;
C=ivech(C);
C=tril(C);
Htt=Ht(:,:,size(Ht,3));
epsi=data(size(data,1),:);
epsilon=epsi'*epsi;
fore=C*C'+B*Htt*B'+A*epsilon*A';

